Package tigase.db.beans

# Class UserRepositoryMDPoolBean.UserRepositoryConfigBean

java.lang.Object
tigase.db.beans.MDPoolConfigBean<T,U>
tigase.db.beans.AuthUserRepositoryConfigBean<UserRepository,UserRepositoryMDPoolBean.UserRepositoryConfigBean>
tigase.db.beans.UserRepositoryMDPoolBean.UserRepositoryConfigBean

All Implemented Interfaces:
  `ConfigurationChangedAware`, `Initializable`, `RegistrarBean`, `UnregisterAware`

Enclosing class:
  UserRepositoryMDPoolBean

public static class UserRepositoryMDPoolBean.UserRepositoryConfigBean extends AuthUserRepositoryConfigBean<UserRepository,UserRepositoryMDPoolBean.UserRepositoryConfigBean>

- ## Field Summary

  ### Fields inherited from class tigase.db.beans.MDPoolConfigBean

  `cls, mdPool, name, poolCls, poolSize, uri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserRepositoryConfigBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<UserRepository>`
  `getRepositoryIfc()`
  Get interface to which instances initialized by this config bean must conform to.

  ### Methods inherited from class tigase.db.beans.AuthUserRepositoryConfigBean

  `beanConfigurationChanged, beforeUnregister, getRepositoryClassName, getRepositoryPoolClassName, getUri, initialize, initRepository, onDataSourceChange`

  ### Methods inherited from class tigase.db.beans.MDPoolConfigBean

  `getRepository, register, setInstances, setMdPool, setRepository, unloadOldBeans, unregister`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserRepositoryConfigBean

    public UserRepositoryConfigBean()

- ## Method Details

  - ### getRepositoryIfc

    protected Class<UserRepository> getRepositoryIfc()
    Description copied from class: `MDPoolConfigBean`
    Get interface to which instances initialized by this config bean must conform to.
    Specified by:
      `getRepositoryIfc` in class `MDPoolConfigBean<UserRepository,UserRepositoryMDPoolBean.UserRepositoryConfigBean>`
    Returns:
      interface